=begin
#Pulp 3 API

#Fetch, Upload, Organize, and Distribute Software Packages

The version of the OpenAPI document: v3
Contact: pulp-list@redhat.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for PulpPythonClient::ContentPackagesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'ContentPackagesApi' do
  before do
    # run before each test
    @api_instance = PulpPythonClient::ContentPackagesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ContentPackagesApi' do
    it 'should create an instance of ContentPackagesApi' do
      expect(@api_instance).to be_instance_of(PulpPythonClient::ContentPackagesApi)
    end
  end

  # unit tests for create
  # Create a python package content
  # Trigger an asynchronous task to create content,optionally create new repository version.
  # @param relative_path Path where the artifact is located relative to distributions base_path
  # @param [Hash] opts the optional parameters
  # @option opts [String] :artifact Artifact file representing the physical content
  # @option opts [File] :file An uploaded file that may be turned into the artifact of the content unit.
  # @option opts [String] :repository A URI of a repository the new content unit should be associated with.
  # @option opts [String] :upload An uncommitted upload that may be turned into the artifact of the content unit.
  # @option opts [String] :sha256 The SHA256 digest of this package.
  # @option opts [String] :summary A one-line summary of what the package does.
  # @option opts [String] :description A longer description of the package that can run to several paragraphs.
  # @option opts [String] :description_content_type A string stating the markup syntax (if any) used in the distribution’s description, so that tools can intelligently render the description.
  # @option opts [String] :keywords Additional keywords to be used to assist searching for the package in a larger catalog.
  # @option opts [String] :home_page The URL for the package&#39;s home page.
  # @option opts [String] :download_url Legacy field denoting the URL from which this package can be downloaded.
  # @option opts [String] :author Text containing the author&#39;s name. Contact information can also be added, separated with newlines.
  # @option opts [String] :author_email The author&#39;s e-mail address. 
  # @option opts [String] :maintainer The maintainer&#39;s name at a minimum; additional contact information may be provided.
  # @option opts [String] :maintainer_email The maintainer&#39;s e-mail address.
  # @option opts [String] :license Text indicating the license covering the distribution
  # @option opts [String] :requires_python The Python version(s) that the distribution is guaranteed to be compatible with.
  # @option opts [String] :project_url A browsable URL for the project and a label for it, separated by a comma.
  # @option opts [Object] :project_urls A dictionary of labels and URLs for the project.
  # @option opts [String] :platform A comma-separated list of platform specifications, summarizing the operating systems supported by the package.
  # @option opts [String] :supported_platform Field to specify the OS and CPU for which the binary package was compiled. 
  # @option opts [Object] :requires_dist A JSON list containing names of some other distutils project required by this distribution.
  # @option opts [Object] :provides_dist A JSON list containing names of a Distutils project which is contained within this distribution.
  # @option opts [Object] :obsoletes_dist A JSON list containing names of a distutils project&#39;s distribution which this distribution renders obsolete, meaning that the two projects should not be installed at the same time.
  # @option opts [Object] :requires_external A JSON list containing some dependency in the system that the distribution is to be used.
  # @option opts [Object] :classifiers A JSON list containing classification values for a Python package.
  # @return [AsyncOperationResponse]
  describe 'create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list
  # List python package contents
  #  PythonPackageContent represents each individually installable Python package. In the Python ecosystem, this is called a Python Distribution, sometimes (ambiguously) refered to as a package. In Pulp Python, we refer to it as PythonPackageContent. Each PythonPackageContent corresponds to a single filename, for example &#x60;pulpcore-3.0.0rc1-py3-none-any.whl&#x60; or &#x60;pulpcore-3.0.0rc1.tar.gz&#x60;.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :author Filter results where author matches value
  # @option opts [Array<String>] :author__in Filter results where author is in a comma-separated list of values
  # @option opts [String] :filename Filter results where filename matches value
  # @option opts [String] :filename__contains Filter results where filename contains value
  # @option opts [Array<String>] :filename__in Filter results where filename is in a comma-separated list of values
  # @option opts [String] :keywords__contains Filter results where keywords contains value
  # @option opts [Array<String>] :keywords__in Filter results where keywords is in a comma-separated list of values
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [String] :name Filter results where name matches value
  # @option opts [Array<String>] :name__in Filter results where name is in a comma-separated list of values
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @option opts [Array<String>] :ordering Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;upstream_id&#x60; - Upstream id * &#x60;-upstream_id&#x60; - Upstream id (descending) * &#x60;timestamp_of_interest&#x60; - Timestamp of interest * &#x60;-timestamp_of_interest&#x60; - Timestamp of interest (descending) * &#x60;filename&#x60; - Filename * &#x60;-filename&#x60; - Filename (descending) * &#x60;packagetype&#x60; - Packagetype * &#x60;-packagetype&#x60; - Packagetype (descending) * &#x60;name&#x60; - Name * &#x60;-name&#x60; - Name (descending) * &#x60;version&#x60; - Version * &#x60;-version&#x60; - Version (descending) * &#x60;sha256&#x60; - Sha256 * &#x60;-sha256&#x60; - Sha256 (descending) * &#x60;python_version&#x60; - Python version * &#x60;-python_version&#x60; - Python version (descending) * &#x60;metadata_version&#x60; - Metadata version * &#x60;-metadata_version&#x60; - Metadata version (descending) * &#x60;summary&#x60; - Summary * &#x60;-summary&#x60; - Summary (descending) * &#x60;description&#x60; - Description * &#x60;-description&#x60; - Description (descending) * &#x60;keywords&#x60; - Keywords * &#x60;-keywords&#x60; - Keywords (descending) * &#x60;home_page&#x60; - Home page * &#x60;-home_page&#x60; - Home page (descending) * &#x60;download_url&#x60; - Download url * &#x60;-download_url&#x60; - Download url (descending) * &#x60;author&#x60; - Author * &#x60;-author&#x60; - Author (descending) * &#x60;author_email&#x60; - Author email * &#x60;-author_email&#x60; - Author email (descending) * &#x60;maintainer&#x60; - Maintainer * &#x60;-maintainer&#x60; - Maintainer (descending) * &#x60;maintainer_email&#x60; - Maintainer email * &#x60;-maintainer_email&#x60; - Maintainer email (descending) * &#x60;license&#x60; - License * &#x60;-license&#x60; - License (descending) * &#x60;requires_python&#x60; - Requires python * &#x60;-requires_python&#x60; - Requires python (descending) * &#x60;project_url&#x60; - Project url * &#x60;-project_url&#x60; - Project url (descending) * &#x60;platform&#x60; - Platform * &#x60;-platform&#x60; - Platform (descending) * &#x60;supported_platform&#x60; - Supported platform * &#x60;-supported_platform&#x60; - Supported platform (descending) * &#x60;requires_dist&#x60; - Requires dist * &#x60;-requires_dist&#x60; - Requires dist (descending) * &#x60;provides_dist&#x60; - Provides dist * &#x60;-provides_dist&#x60; - Provides dist (descending) * &#x60;obsoletes_dist&#x60; - Obsoletes dist * &#x60;-obsoletes_dist&#x60; - Obsoletes dist (descending) * &#x60;requires_external&#x60; - Requires external * &#x60;-requires_external&#x60; - Requires external (descending) * &#x60;classifiers&#x60; - Classifiers * &#x60;-classifiers&#x60; - Classifiers (descending) * &#x60;project_urls&#x60; - Project urls * &#x60;-project_urls&#x60; - Project urls (descending) * &#x60;description_content_type&#x60; - Description content type * &#x60;-description_content_type&#x60; - Description content type (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending)
  # @option opts [String] :packagetype Filter results where packagetype matches value  * &#x60;bdist_dmg&#x60; - bdist_dmg * &#x60;bdist_dumb&#x60; - bdist_dumb * &#x60;bdist_egg&#x60; - bdist_egg * &#x60;bdist_msi&#x60; - bdist_msi * &#x60;bdist_rpm&#x60; - bdist_rpm * &#x60;bdist_wheel&#x60; - bdist_wheel * &#x60;bdist_wininst&#x60; - bdist_wininst * &#x60;sdist&#x60; - sdist
  # @option opts [Array<String>] :packagetype__in Filter results where packagetype is in a comma-separated list of values
  # @option opts [Array<String>] :pulp_href__in Multiple values may be separated by commas.
  # @option opts [Array<String>] :pulp_id__in Multiple values may be separated by commas.
  # @option opts [String] :repository_version Repository Version referenced by HREF
  # @option opts [String] :repository_version_added Repository Version referenced by HREF
  # @option opts [String] :repository_version_removed Repository Version referenced by HREF
  # @option opts [String] :requires_python Filter results where requires_python matches value
  # @option opts [String] :requires_python__contains Filter results where requires_python contains value
  # @option opts [Array<String>] :requires_python__in Filter results where requires_python is in a comma-separated list of values
  # @option opts [String] :sha256 Filter results where sha256 matches value
  # @option opts [Array<String>] :sha256__in Filter results where sha256 is in a comma-separated list of values
  # @option opts [String] :version Filter results where version matches value
  # @option opts [String] :version__gt Filter results where version is greater than value
  # @option opts [String] :version__gte Filter results where version is greater than or equal to value
  # @option opts [String] :version__lt Filter results where version is less than value
  # @option opts [String] :version__lte Filter results where version is less than or equal to value
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [PaginatedpythonPythonPackageContentResponseList]
  describe 'list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for read
  # Inspect a python package content
  #  PythonPackageContent represents each individually installable Python package. In the Python ecosystem, this is called a Python Distribution, sometimes (ambiguously) refered to as a package. In Pulp Python, we refer to it as PythonPackageContent. Each PythonPackageContent corresponds to a single filename, for example &#x60;pulpcore-3.0.0rc1-py3-none-any.whl&#x60; or &#x60;pulpcore-3.0.0rc1.tar.gz&#x60;.
  # @param python_python_package_content_href 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [PythonPythonPackageContentResponse]
  describe 'read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
