=begin
#Pulp 3 API

#Fetch, Upload, Organize, and Distribute Software Packages

The version of the OpenAPI document: v3
Contact: pulp-list@redhat.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 4.3.1

=end

require 'spec_helper'
require 'json'

# Unit tests for PulpPythonClient::RemotesPythonApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'RemotesPythonApi' do
  before do
    # run before each test
    @api_instance = PulpPythonClient::RemotesPythonApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of RemotesPythonApi' do
    it 'should create an instance of RemotesPythonApi' do
      expect(@api_instance).to be_instance_of(PulpPythonClient::RemotesPythonApi)
    end
  end

  # unit tests for create
  # Create a python remote
  #  Python Remotes are representations of an external repository of Python content, eg. PyPI.  Fields include upstream repository config. Python Remotes are also used to &#x60;sync&#x60; from upstream repositories, and contains sync settings.
  # @param python_python_remote 
  # @param [Hash] opts the optional parameters
  # @return [PythonPythonRemoteResponse]
  describe 'create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete
  # Delete a python remote
  # Trigger an asynchronous delete task
  # @param python_python_remote_href 
  # @param [Hash] opts the optional parameters
  # @return [AsyncOperationResponse]
  describe 'delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for from_bandersnatch
  # Create from Bandersnatch
  #  Takes the fields specified in the Bandersnatch config and creates a Python Remote from it.
  # @param config A Bandersnatch config that may be used to construct a Python Remote.
  # @param name A unique name for this remote
  # @param [Hash] opts the optional parameters
  # @option opts [PolicyEnum] :policy The policy to use when downloading content. The possible values include: &#39;immediate&#39;, &#39;on_demand&#39;, and &#39;streamed&#39;. &#39;on_demand&#39; is the default.  * &#x60;immediate&#x60; - When syncing, download all metadata and content now. * &#x60;on_demand&#x60; - When syncing, download metadata, but do not download content now. Instead, download content as clients request it, and save it in Pulp to be served for future client requests. * &#x60;streamed&#x60; - When syncing, download metadata, but do not download content now. Instead,download content as clients request it, but never save it in Pulp. This causes future requests for that same content to have to be downloaded again.
  # @return [PythonPythonRemoteResponse]
  describe 'from_bandersnatch test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list
  # List python remotes
  #  Python Remotes are representations of an external repository of Python content, eg. PyPI.  Fields include upstream repository config. Python Remotes are also used to &#x60;sync&#x60; from upstream repositories, and contains sync settings.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [String] :name Filter results where name matches value
  # @option opts [String] :name__contains Filter results where name contains value
  # @option opts [String] :name__icontains Filter results where name contains value
  # @option opts [Array<String>] :name__in Filter results where name is in a comma-separated list of values
  # @option opts [String] :name__startswith Filter results where name starts with value
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @option opts [Array<String>] :ordering Ordering  * &#x60;pulp_id&#x60; - Pulp id * &#x60;-pulp_id&#x60; - Pulp id (descending) * &#x60;pulp_created&#x60; - Pulp created * &#x60;-pulp_created&#x60; - Pulp created (descending) * &#x60;pulp_last_updated&#x60; - Pulp last updated * &#x60;-pulp_last_updated&#x60; - Pulp last updated (descending) * &#x60;pulp_type&#x60; - Pulp type * &#x60;-pulp_type&#x60; - Pulp type (descending) * &#x60;name&#x60; - Name * &#x60;-name&#x60; - Name (descending) * &#x60;pulp_labels&#x60; - Pulp labels * &#x60;-pulp_labels&#x60; - Pulp labels (descending) * &#x60;url&#x60; - Url * &#x60;-url&#x60; - Url (descending) * &#x60;ca_cert&#x60; - Ca cert * &#x60;-ca_cert&#x60; - Ca cert (descending) * &#x60;client_cert&#x60; - Client cert * &#x60;-client_cert&#x60; - Client cert (descending) * &#x60;client_key&#x60; - Client key * &#x60;-client_key&#x60; - Client key (descending) * &#x60;tls_validation&#x60; - Tls validation * &#x60;-tls_validation&#x60; - Tls validation (descending) * &#x60;username&#x60; - Username * &#x60;-username&#x60; - Username (descending) * &#x60;password&#x60; - Password * &#x60;-password&#x60; - Password (descending) * &#x60;proxy_url&#x60; - Proxy url * &#x60;-proxy_url&#x60; - Proxy url (descending) * &#x60;proxy_username&#x60; - Proxy username * &#x60;-proxy_username&#x60; - Proxy username (descending) * &#x60;proxy_password&#x60; - Proxy password * &#x60;-proxy_password&#x60; - Proxy password (descending) * &#x60;download_concurrency&#x60; - Download concurrency * &#x60;-download_concurrency&#x60; - Download concurrency (descending) * &#x60;max_retries&#x60; - Max retries * &#x60;-max_retries&#x60; - Max retries (descending) * &#x60;policy&#x60; - Policy * &#x60;-policy&#x60; - Policy (descending) * &#x60;total_timeout&#x60; - Total timeout * &#x60;-total_timeout&#x60; - Total timeout (descending) * &#x60;connect_timeout&#x60; - Connect timeout * &#x60;-connect_timeout&#x60; - Connect timeout (descending) * &#x60;sock_connect_timeout&#x60; - Sock connect timeout * &#x60;-sock_connect_timeout&#x60; - Sock connect timeout (descending) * &#x60;sock_read_timeout&#x60; - Sock read timeout * &#x60;-sock_read_timeout&#x60; - Sock read timeout (descending) * &#x60;headers&#x60; - Headers * &#x60;-headers&#x60; - Headers (descending) * &#x60;rate_limit&#x60; - Rate limit * &#x60;-rate_limit&#x60; - Rate limit (descending) * &#x60;pk&#x60; - Pk * &#x60;-pk&#x60; - Pk (descending)
  # @option opts [Array<String>] :pulp_href__in Multiple values may be separated by commas.
  # @option opts [Array<String>] :pulp_id__in Multiple values may be separated by commas.
  # @option opts [String] :pulp_label_select Filter labels by search string
  # @option opts [DateTime] :pulp_last_updated Filter results where pulp_last_updated matches value
  # @option opts [DateTime] :pulp_last_updated__gt Filter results where pulp_last_updated is greater than value
  # @option opts [DateTime] :pulp_last_updated__gte Filter results where pulp_last_updated is greater than or equal to value
  # @option opts [DateTime] :pulp_last_updated__lt Filter results where pulp_last_updated is less than value
  # @option opts [DateTime] :pulp_last_updated__lte Filter results where pulp_last_updated is less than or equal to value
  # @option opts [Array<DateTime>] :pulp_last_updated__range Filter results where pulp_last_updated is between two comma separated values
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [PaginatedpythonPythonRemoteResponseList]
  describe 'list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for partial_update
  # Update a python remote
  # Trigger an asynchronous partial update task
  # @param python_python_remote_href 
  # @param patchedpython_python_remote 
  # @param [Hash] opts the optional parameters
  # @return [AsyncOperationResponse]
  describe 'partial_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for read
  # Inspect a python remote
  #  Python Remotes are representations of an external repository of Python content, eg. PyPI.  Fields include upstream repository config. Python Remotes are also used to &#x60;sync&#x60; from upstream repositories, and contains sync settings.
  # @param python_python_remote_href 
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :fields A list of fields to include in the response.
  # @option opts [Array<String>] :exclude_fields A list of fields to exclude from the response.
  # @return [PythonPythonRemoteResponse]
  describe 'read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update
  # Update a python remote
  # Trigger an asynchronous update task
  # @param python_python_remote_href 
  # @param python_python_remote 
  # @param [Hash] opts the optional parameters
  # @return [AsyncOperationResponse]
  describe 'update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
